"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getAccessToken;
/**
 * Login with Github Function
 * ===============================================================================
 * @description This function uses github api to login a user with datasquirel
 */
function getAccessToken({ clientId, redirectUrl, setLoading, scopes, }) {
    if (setLoading)
        setLoading(true);
    const scopeString = scopes ? scopes.join("%20") : "read:user";
    const fetchUrl = `https://github.com/login/oauth/authorize?client_id=${clientId}&scope=${scopeString}&redirect_uri=${redirectUrl}`;
    window.location.assign(fetchUrl);
}
