type FunctionReturn = {
    imageBase64?: string;
    imageBase64Full?: string;
    imageName?: string;
};
type Param = {
    imageInput: HTMLInputElement;
    maxWidth?: number;
    mimeType?: string;
};
/**
 * # Image Input Element to Base 64
 */
export default function imageInputToBase64({ imageInput, maxWidth, mimeType, }: Param): Promise<FunctionReturn>;
export {};
