import { SQLDeleteData } from "../../types";
type Params<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}> = {
    dbName: string;
    tableName: string;
    deleteSpec?: T & {
        deleteKeyValues?: SQLDeleteData<T>[];
    };
    targetID?: string | number;
    apiKey?: string;
};
export default function apiCrudDELETE<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}>({ dbName, tableName, deleteSpec, targetID, apiKey }: Params<T>): Promise<import("../../types").APIResponseObject<{
    [k: string]: any;
}>>;
export {};
