import { APICreateUserFunctionParams } from "../../../types";
/**
 * # API Create User
 */
export default function apiCreateUser({ encryptionKey, payload, database, userId, }: APICreateUserFunctionParams): Promise<{
    success: boolean;
    msg: string;
    payload?: undefined;
    sqlResult?: undefined;
} | {
    success: boolean;
    msg: string | undefined;
    payload: null;
    sqlResult?: undefined;
} | {
    success: boolean;
    payload: any;
    msg?: undefined;
    sqlResult?: undefined;
} | {
    success: boolean;
    msg: string;
    sqlResult: import("../../../types").APIResponseObject<import("../../../types").PostInsertReturn>;
    payload: null;
}>;
