import { DSQL_DatabaseSchemaType, DSQL_TableSchemaType } from "../../../types";
import { TriggerParadigms } from "./grab-trigger-name";
declare const TriggerTypes: readonly [{
    readonly name: "after_insert";
    readonly value: "INSERT";
}, {
    readonly name: "after_update";
    readonly value: "UPDATE";
}, {
    readonly name: "after_delete";
    readonly value: "DELETE";
}];
export type TriggerSQLGenParams = {
    type: (typeof TriggerTypes)[number];
    srcDbSchema: DSQL_DatabaseSchemaType;
    srcTableSchema: DSQL_TableSchemaType;
    content: string;
    userId?: string | number;
    paradigm: (typeof TriggerParadigms)[number];
};
export default function triggerSQLGen({ type, srcDbSchema, srcTableSchema, content, userId, paradigm, }: TriggerSQLGenParams): string;
export {};
