"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = handleMariadbUserGrantsForDatabases;
const handle_mariadb_user_grants_for_databases_recreate_records_1 = __importDefault(require("./handle-mariadb-user-grants-for-databases-recreate-records"));
const handle_mariadb_user_grants_for_databases_recreate_grants_1 = __importDefault(require("./handle-mariadb-user-grants-for-databases-recreate-grants"));
function handleMariadbUserGrantsForDatabases(_a) {
    return __awaiter(this, arguments, void 0, function* ({ accessedDatabases, user, updatedRecord, }) {
        /**
         * # Recreate Records
         */
        for (let i = 0; i < accessedDatabases.length; i++) {
            yield (0, handle_mariadb_user_grants_for_databases_recreate_records_1.default)({
                currentAccessedDatabase: accessedDatabases[i],
                updatedRecord,
                user,
            });
            yield (0, handle_mariadb_user_grants_for_databases_recreate_grants_1.default)({
                currentAccessedDatabase: accessedDatabases[i],
                updatedRecord,
                user,
            });
        }
        return { success: true };
    });
}
