import { DSQL_DatabaseSchemaType } from "../../types";
type Param = {
    userId?: number | string | null;
    targetDatabase?: string;
    dbSchemaData?: DSQL_DatabaseSchemaType[];
    targetTable?: string;
    dbId?: string | number;
};
/**
 * # Create database from Schema Function
 * @requires DSQL_DB_CONN - Gobal Variable for Datasquirel Database
 */
export default function createDbFromSchema({ userId, targetDatabase, dbSchemaData, targetTable, dbId, }: Param): Promise<boolean>;
export {};
