import { DSQL_DatabaseSchemaType, DSQL_FieldSchemaType, DSQL_IndexSchemaType, DSQL_TableSchemaType } from "../../types";
import { DSQL_DATASQUIREL_USER_DATABASES } from "../../types/dsql";
type Param = {
    dbFullName: string;
    tableName: string;
    tableSchema: DSQL_TableSchemaType;
    tableFields: DSQL_FieldSchemaType[];
    userId?: number | string | null;
    dbSchema: DSQL_DatabaseSchemaType;
    tableIndexes?: DSQL_IndexSchemaType[];
    clone?: boolean;
    recordedDbEntry?: DSQL_DATASQUIREL_USER_DATABASES;
    isMain?: boolean;
};
/**
 * # Update table function
 */
export default function updateTable({ dbFullName, tableName, tableFields, userId, dbSchema, tableIndexes, tableSchema, clone, recordedDbEntry, isMain, }: Param): Promise<number | undefined>;
export {};
