"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = envsub;
function envsub(str) {
    return str.replace(/\$([A-Z_]+)|\${([A-Z_]+)}/g, (match, var1, var2) => {
        const varName = var1 || var2;
        return process.env[varName] || match;
    });
}
