"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabAppVersion;
const types_1 = require("../types");
function grabAppVersion() {
    const appVersionEnv = process.env.NEXT_PUBLIC_VERSION;
    const finalAppVersion = (appVersionEnv ||
        "community");
    const targetAppVersion = types_1.AppVersions.find((version) => version.value === finalAppVersion);
    if (!targetAppVersion) {
        throw new Error(`Invalid App Version: ${finalAppVersion}`);
    }
    return targetAppVersion;
}
