/**
 * # Return the slug of a string
 *
 * @example
 * slugify("Hello World") // "hello-world"
 * slugify("Yes!") // "yes"
 * slugify("Hello!!! World!") // "hello-world"
 */
export default function slugify(str?: string, divider?: "-" | "_" | null, allowTrailingDash?: boolean | null): string;
