import fs from "fs";
import grabDirNames from "./backend/names/grab-dir-names";

export default function updateGrastateToLatest() {
    const { mainDbGrastateDatFile } = grabDirNames();

    const existingGrastateDatFile = fs.readFileSync(
        mainDbGrastateDatFile,
        "utf-8"
    );

    const newGrastateDatFile = existingGrastateDatFile.replace(
        /safe_to_bootstrap: .*/,
        `safe_to_bootstrap: 1`
    );

    fs.writeFileSync(mainDbGrastateDatFile, newGrastateDatFile, "utf-8");
}
