import http from "http";
import { SendOneTimeCodeEmailResponse } from "../../types";
type Param = {
    key?: string;
    database?: string;
    email: string;
    temp_code_field_name?: string;
    response?: http.ServerResponse & {
        [s: string]: any;
    };
    mail_domain?: string;
    mail_username?: string;
    mail_password?: string;
    mail_port?: number;
    sender?: string;
    user_id?: boolean;
    extraCookies?: import("../../types").CookieObject[];
};
/**
 * # Send Email Code to a User
 */
export default function sendEmailCode(params: Param): Promise<SendOneTimeCodeEmailResponse>;
export {};
