import { APIResponseObject, DsqlCrudQueryObject } from "../../types";
type Params<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}> = {
    dbName: string;
    tableName: string;
    query?: DsqlCrudQueryObject<T>;
    targetId?: string | number;
    apiKey?: string;
};
export default function apiCrudGET<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}>({ dbName, tableName, query, targetId, apiKey, }: Params<T>): Promise<APIResponseObject>;
export {};
