import { APICrudPostParams } from "./post";
type Params<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}> = Omit<APICrudPostParams<T>, "update"> & {
    targetID: string | number;
    apiKey?: string;
};
export default function apiCrudPUT<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}>({ dbName, tableName, body, targetID, apiKey }: Params<T>): Promise<import("../../types").APIResponseObject>;
export {};
