import { DSQL_DATASQUIREL_MARIADB_USERS } from "../../../types/dsql";
import { UserType } from "../../../types";
type Params = {
    user: UserType;
    existingRecord?: DSQL_DATASQUIREL_MARIADB_USERS | null;
    updatedRecord: DSQL_DATASQUIREL_MARIADB_USERS;
};
type Return = {
    msg?: string;
    success?: boolean;
};
export default function handleMariadbUserCreation({ user, existingRecord, updatedRecord, }: Params): Promise<Return>;
type CreateNewUserParams = {
    username?: string;
    host?: string;
    password?: string;
};
export declare function createNewSQLUser({ host, password, username, }: CreateNewUserParams): Promise<object | any[] | null>;
export {};
