import { DSQL_FieldSchemaType, DSQL_TableSchemaType } from "../../types";
import { DSQL_DATASQUIREL_USER_DATABASES } from "../../types/dsql";
type Param = {
    dbFullName: string;
    tableName: string;
    tableInfoArray: DSQL_FieldSchemaType[];
    tableSchema?: DSQL_TableSchemaType;
    recordedDbEntry?: DSQL_DATASQUIREL_USER_DATABASES;
    isMain?: boolean;
};
/**
 * # Create Table Functions
 */
export default function createTable({ dbFullName, tableName, tableInfoArray, tableSchema, recordedDbEntry, isMain, }: Param): Promise<number | undefined>;
export {};
