import { DATASQUIREL_LoggedInUser, UserType } from "../../../types";
type Param = {
    user?: DATASQUIREL_LoggedInUser | UserType;
    userId?: string | number | null;
    appDir?: string;
    dataDir?: string;
};
export default function grabDirNames(param?: Param): {
    appDir: string;
    privateDataDir: string;
    oldSchemasDir: string;
    userConfigJSONFilePath: string | undefined;
    mainShemaJSONFilePath: string;
    mainDbTypeDefFile: string;
    tempDirName: string;
    defaultTableFieldsJSONFilePath: string;
    usersSchemaDir: string;
    targetUserPrivateDir: string | undefined;
    userSchemaMainJSONFilePath: string | undefined;
    userPrivateMediaDir: string | undefined;
    userPrivateExportsDir: string | undefined;
    userPrivateSQLExportsDir: string | undefined;
    userPrivateTempSQLExportsDir: string | undefined;
    userPrivateTempJSONSchemaFilePath: string | undefined;
    userPrivateDbExportZipFileName: string;
    userPrivateDbExportZipFilePath: string | undefined;
    userPrivateDbImportZipFileName: string;
    userPrivateDbImportZipFilePath: string | undefined;
    dbNginxLoadBalancerConfigFile: string;
    dockerComposeFile: string;
    dockerComposeFileAlt: string;
    testDockerComposeFile: string;
    testDockerComposeFileAlt: string;
    extraDockerComposeFile: string;
    extraDockerComposeFileAlt: string;
    siteSetupFile: string;
    envFile: string;
    testEnvFile: string;
    userPublicMediaDir: string | undefined;
    userTempSQLFilePath: string | undefined;
    STATIC_ROOT: string;
    appConfigJSONFile: string;
    appConfigDir: string;
    mariadbMainConfigDir: string;
    mariadbMainConfigFile: string;
    maxscaleConfigDir: string;
    mariadbReplicaConfigDir: string;
    DATA_DIR: string;
    publicDir: string;
    publicSSLDir: string;
    appSSLDir: string;
    maxscaleConfigFile: string;
    mariadbReplicaConfigFile: string;
    mainSSLDir: string;
    mainDbDataDir: string;
    replica1DbDataDir: string;
    galeraConfigFile: string;
    galeraReplicaConfigFile: string;
    dbDockerComposeFile: string;
    dbDockerComposeFileAlt: string;
    mainDbGrastateDatFile: string;
    appSchemaJSONFile: string;
    mainBackupDir: string;
    userBackupDir: string | undefined;
    sqlBackupDirName: string;
    schemasBackupDirName: string;
    userMainShemaJSONFilePath: string | undefined;
};
export {};
