"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabIPAddresses;
const grab_docker_resource_ip_numbers_1 = __importDefault(require("../../grab-docker-resource-ip-numbers"));
function grabIPAddresses() {
    const globalIPPrefix = process.env.DSQL_NETWORK_IP_PREFIX || "172.72.0";
    const { cron, db, maxscale, postDbSetup, web } = (0, grab_docker_resource_ip_numbers_1.default)();
    const webAppIP = `${globalIPPrefix}.${web}`;
    const appCronIP = `${globalIPPrefix}.${cron}`;
    const maxScaleIP = `${globalIPPrefix}.${maxscale}`;
    return { webAppIP, appCronIP, maxScaleIP, globalIPPrefix };
}
