"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = dataTypeConstructor;
const data_type_parser_1 = __importStar(require("./data-type-parser"));
function dataTypeConstructor(dataType, limit, decimal) {
    let finalType = (0, data_type_parser_1.default)(dataType).type;
    if (!data_type_parser_1.DataTypesWithNumbers.includes(finalType)) {
        return finalType;
    }
    if (finalType == "VARCHAR") {
        return (finalType += `(${limit || 250})`);
    }
    if (finalType == "DECIMAL" ||
        finalType == "FLOAT" ||
        finalType == "DOUBLE") {
        return (finalType += `(${limit || 10},${decimal || 2})`);
    }
    if (limit && !decimal)
        finalType += `(${limit})`;
    if (limit && decimal)
        finalType += `(${limit},${decimal})`;
    return finalType;
}
