"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabTextFieldType;
function grabTextFieldType(field, nullReturn) {
    if (field.richText)
        return "richText";
    if (field.json)
        return "json";
    if (field.yaml)
        return "yaml";
    if (field.html)
        return "html";
    if (field.css)
        return "css";
    if (field.javascript)
        return "javascript";
    if (field.shell)
        return "shell";
    if (nullReturn)
        return undefined;
    return "plain";
}
