import dbHandler from "../../functions/backend/dbHandler";

export default async function noDatabaseDbHandler(
    queryString: string
): Promise<any> {
    let results;

    try {
        results = await dbHandler({ query: queryString });
    } catch (error: any) {
        global.ERROR_CALLBACK?.(`No DB Handler Error`, error as Error);
    }

    if (results) {
        return results;
    } else {
        return null;
    }
}
