import grabDockerResourceIPNumbers from "../../grab-docker-resource-ip-numbers";

export default function grabIPAddresses() {
    const globalIPPrefix = process.env.DSQL_NETWORK_IP_PREFIX || "172.72.0";
    const { cron, db, maxscale, postDbSetup, web } =
        grabDockerResourceIPNumbers();

    const webAppIP = `${globalIPPrefix}.${web}`;
    const appCronIP = `${globalIPPrefix}.${cron}`;
    const maxScaleIP = `${globalIPPrefix}.${maxscale}`;

    return { webAppIP, appCronIP, maxScaleIP, globalIPPrefix };
}
